/* Math functions
 *
 * (c) 2002-2006, OLO
 * This file is provided as is (no warranties).
 */

#if defined _maths_included
  #endinput
#endif
#define _maths_included

native abs(iInput);
native Float:fabs(Float:value);
native Float:asin(Float:value);
native Float:sin(Float:value);
native Float:sinh(Float:value);
native Float:acos(Float:value);
native Float:cos(Float:value);
native Float:cosh(Float:value);
native Float:atan(Float:value);
native Float:atan2(Float:value1, Float:value2);
native Float:tan(Float:value);
native Float:tanh(Float:value);
native Float:fsqroot(Float:value);
native Float:fpower(Float:value, Float:exponent);
native Float:flog(Float:value, Float:base=10.0);
